summaryrefslogtreecommitdiffstats
path: root/development/eric
diff options
context:
space:
mode:
author Rudson Alves2010-05-13 00:57:52 +0200
committer David Somero2010-05-13 00:57:52 +0200
commitb3f65cc92f0bc943d4ae6cef740c94563b77a96d (patch)
tree06f4727a492e5f5d5521f66a9e80e310939ca3d6 /development/eric
parent227df986616d89919cb705206e847307fa70b6bb (diff)
downloadslackbuilds-b3f65cc92f0bc943d4ae6cef740c94563b77a96d.tar.gz
development/eric: Added to 13.0 repository
Diffstat (limited to 'development/eric')
-rw-r--r--development/eric/README7
-rw-r--r--development/eric/doinst.sh4
-rw-r--r--development/eric/eric.SlackBuild79
-rw-r--r--development/eric/eric.info10
-rw-r--r--development/eric/eric4.desktop9
-rw-r--r--development/eric/slack-desc20
6 files changed, 129 insertions, 0 deletions
diff --git a/development/eric/README b/development/eric/README
new file mode 100644
index 0000000000..8daa523be4
--- /dev/null
+++ b/development/eric/README
@@ -0,0 +1,7 @@
+Eric is a full featured Python and Ruby editor and IDE, written in python. It
+is based on the cross platform Qt gui toolkit, integrating the highly flexible
+Scintilla editor control. It is designed to be usable as everdays' quick and
+dirty editor as well as being usable as a professional project management tool
+integrating many advanced features Python offers the professional coder. eric4
+includes a plugin system, which allows easy extension of the IDE functionality
+with plugins downloadable from the net.
diff --git a/development/eric/doinst.sh b/development/eric/doinst.sh
new file mode 100644
index 0000000000..392c12adb9
--- /dev/null
+++ b/development/eric/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/development/eric/eric.SlackBuild b/development/eric/eric.SlackBuild
new file mode 100644
index 0000000000..fb7e9344bd
--- /dev/null
+++ b/development/eric/eric.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for eric4
+# Copyright 2009 Rudson Alves <rudsonalves@rra.etc.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=eric
+VERSION=4.4.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors.
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}4-$VERSION
+tar -xzvf $CWD/${PRGNAM}4-$VERSION.tar.gz
+cd ${PRGNAM}4-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python install.py -i $PKG -b /usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.GPL3 README-i18n.txt changelog README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+ERICDESK=$PKG/usr/share/applications/eric4.desktop
+mkdir -p `dirname $ERICDESK`
+cat $CWD/eric4.desktop > $ERICDESK
+[ "$ARCH" == "x86_64" ] && sed 's/lib/lib64/' -i $ERICDESK
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/eric/eric.info b/development/eric/eric.info
new file mode 100644
index 0000000000..2f347c018d
--- /dev/null
+++ b/development/eric/eric.info
@@ -0,0 +1,10 @@
+PRGNAM="eric"
+VERSION="4.4.0"
+HOMEPAGE="http://eric-ide.python-projects.org/"
+DOWNLOAD="http://downloads.sourceforge.net/project/eric-ide/eric4/stable/4.4.0/eric4-4.4.0.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="1205f96adae024f4e2fe5da95de18cb3"
+MD5SUM_x86_64=""
+MAINTAINER="Rudson Alves"
+EMAIL="alves@rra.etc.br"
+APPROVED="dsomero"
diff --git a/development/eric/eric4.desktop b/development/eric/eric4.desktop
new file mode 100644
index 0000000000..c15bfd18b6
--- /dev/null
+++ b/development/eric/eric4.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Exec=eric4 %u
+MimeType=application/py;
+Icon=/usr/lib/python2.6/site-packages/eric4/pixmaps/eric.ico
+Terminal=false
+Categories=Qt;KDE;Development;IDE;
+Name=Eric4 IDE for Python
+Comment=Eric4 IDE for Python
diff --git a/development/eric/slack-desc b/development/eric/slack-desc
new file mode 100644
index 0000000000..8ca0656f72
--- /dev/null
+++ b/development/eric/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+eric: Eric (Eric is a full featured Python and Ruby editor and IDE)
+eric:
+eric: Eric is a full featured Python and Ruby editor and IDE, written in
+eric: python. It is based on the cross platform Qt gui toolkit, integrating
+eric: the highly flexible Scintilla editor control. It is designed to be
+eric: usable as everdays' quick and dirty editor as well as being usable as
+eric: a professional project management tool integrating many advanced
+eric: features Python offers the professional coder.
+eric:
+eric: Homepage: http://eric-ide.python-projects.org/
+eric:
+